Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.classparser.dl
Class DLSyntaxParser

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.classparser.dl.DLSyntaxParser

All Implemented Interfaces:
  DLSyntaxParserConstants

    public class DLSyntaxParser

extends Object
implements DLSyntaxParserConstants

Field Summary
`Token` | `jj_nt`
`Token` | `token`
`DLSyntaxParserTokenManager` | `token_source`

Fields inherited from interface edu.stanford.smi.protegex.owl.model.classparser.dl.DLSyntaxParserConstants
`CLASS_ID, CLOSEPAR, CLOSESQPAR, DATATYPE_ID, DATATYPE_PROPERTY_ID, DEFAULT, DIGIT, EOF, EXPONENT, FLOATING_POINT_LITERAL, FORMAL_COMMENT, IDENTIFIER, IN_FORMAL_COMMENT, IN_MULTI_LINE_COMMENT, IN_SINGLE_LINE_COMMENT, INDIVIDUAL_ID, INTEGER_LITERAL, LETTER, MULTI_LINE_COMMENT, OBJECT_PROPERTY_ID, ONE_OF, OPENPAR, OPENSQPAR, SINGLE_LINE_COMMENT, STRING_LITERAL, tokenImage, UNBOUNDEDVAL`

Constructor Summary
`DLSyntaxParser(DLSyntaxParserTokenManager tm)`
`DLSyntaxParser(InputStream stream)`
`DLSyntaxParser(InputStream stream, String encoding)`
`DLSyntaxParser(Reader stream)`

Method Summary
`RDFSDatatype` | `Datatype()`
`OWLDatatypeProperty` | `DatatypeProperty()`
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`ParseException` | `generateParseException()`
`static DatatypeNameChecker` | `getDatatypeNameChecker()`
`Token` | `getNextToken()`
`OWLModel` | `getOWLModel()`
`Token` | `getToken(int index)`
`OWLIndividual` | `Individual()`
`int` | `Integer()`
`OWLClass` | `IntersectionClassOperand()`
`OWLClass` | `NestedClass()`
`OWLObjectProperty` | `ObjectProperty()`
`OWLClass` | `OWLAllValuesFromDatatypePart()`
`OWLClass` | `OWLAllValuesFromObjectPart()`
`OWLClass` | `OWLAllValuesFromRestriction()`
`OWLCardinality` | `OWLCardinalityDatatypePart()`
`OWLCardinality` | `OWLCardinalityObjectPart()`
`OWLClass` | `OWLCardinalityRestriction()`
`OWLClass` | `OWLComplementClass()`
`OWLClass` | `OWLEnumeratedClass()`
`OWLClass` | `OWLIntersectionClass()`
`OWLMaxCardinality` | `OWLMaxCardinalityDatatypePart()`
`OWLMaxCardinality` | `OWLMaxCardinalityObjectPart()`
`OWLClass` | `OWLMaxCardinalityRestriction()`
`OWLMinCardinality` | `OWLMinCardinalityDatatypePart()`
`OWLMinCardinality` | `OWLMinCardinalityObjectPart()`
`OWLClass` | `OWLMinCardinalityRestriction()`
`OWLClass` | `OWLNamedClass()`
`OWLClass` | `OWLRestriction()`
`OWLClass` | `OWLSomeValuesFromDatatypePart()`
`OWLClass` | `OWLSomeValuesFromObjectPart()`
`OWLClass` | `OWLSomeValuesFromRestriction()`
`OWLClass` | `OWLUnionClass()`
`OWLClass` | `parse()`
`static OWLClass` | `parseExpression(OWLModel owlModel, String expression, boolean create)`
`void` | `ReInit(DLSyntaxParserTokenManager tm)`
`void` | `ReInit(InputStream stream)`
`void` | `ReInit(InputStream stream, String encoding)`
`void` | `ReInit(Reader stream)`
`void` | `setCreate(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public DLSyntaxParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

Constructor Detail

### DLSyntaxParser

    public DLSyntaxParser(InputStream stream)

### DLSyntaxParser

    public DLSyntaxParser(InputStream stream,
                          String encoding)

### DLSyntaxParser

    public DLSyntaxParser(Reader stream)

### DLSyntaxParser

    public DLSyntaxParser(DLSyntaxParserTokenManager tm)

Method Detail

### getDatatypeNameChecker

    public static DatatypeNameChecker getDatatypeNameChecker()

### getOWLModel

    public OWLModel getOWLModel()

### setCreate

    public void setCreate(boolean b)

### parseExpression

    public static OWLClass parseExpression(OWLModel owlModel,
                                           String expression,
                                           boolean create)
                                    throws ParseException

  Throws:
    `ParseException`

### parse

    public final OWLClass parse()
                         throws ParseException

  Throws:
    `ParseException`

### OWLUnionClass

    public final OWLClass OWLUnionClass()
                                 throws ParseException

  Throws:
    `ParseException`

### OWLIntersectionClass

    public final OWLClass OWLIntersectionClass()
                                        throws ParseException

  Throws:
    `ParseException`

### IntersectionClassOperand

    public final OWLClass IntersectionClassOperand()
                                            throws ParseException

  Throws:
    `ParseException`

### OWLNamedClass

    public final OWLClass OWLNamedClass()
                                 throws ParseException

  Throws:
    `ParseException`

### OWLRestriction

    public final OWLClass OWLRestriction()
                                  throws ParseException

  Throws:
    `ParseException`

### OWLAllValuesFromRestriction

    public final OWLClass OWLAllValuesFromRestriction()
                                               throws ParseException

  Throws:
    `ParseException`

### OWLAllValuesFromDatatypePart

    public final OWLClass OWLAllValuesFromDatatypePart()
                                                throws ParseException

  Throws:
    `ParseException`

### OWLAllValuesFromObjectPart

    public final OWLClass OWLAllValuesFromObjectPart()
                                              throws ParseException

  Throws:
    `ParseException`

### OWLSomeValuesFromRestriction

    public final OWLClass OWLSomeValuesFromRestriction()
                                                throws ParseException

  Throws:
    `ParseException`

### OWLSomeValuesFromDatatypePart

    public final OWLClass OWLSomeValuesFromDatatypePart()
                                                 throws ParseException

  Throws:
    `ParseException`

### OWLSomeValuesFromObjectPart

    public final OWLClass OWLSomeValuesFromObjectPart()
                                               throws ParseException

  Throws:
    `ParseException`

### OWLMinCardinalityRestriction

    public final OWLClass OWLMinCardinalityRestriction()
                                                throws ParseException

  Throws:
    `ParseException`

### OWLMinCardinalityDatatypePart

    public final OWLMinCardinality OWLMinCardinalityDatatypePart()
                                                          throws ParseException

  Throws:
    `ParseException`

### OWLMinCardinalityObjectPart

    public final OWLMinCardinality OWLMinCardinalityObjectPart()
                                                        throws ParseException

  Throws:
    `ParseException`

### OWLMaxCardinalityRestriction

    public final OWLClass OWLMaxCardinalityRestriction()
                                                throws ParseException

  Throws:
    `ParseException`

### OWLMaxCardinalityDatatypePart

    public final OWLMaxCardinality OWLMaxCardinalityDatatypePart()
                                                          throws ParseException

  Throws:
    `ParseException`

### OWLMaxCardinalityObjectPart

    public final OWLMaxCardinality OWLMaxCardinalityObjectPart()
                                                        throws ParseException

  Throws:
    `ParseException`

### OWLCardinalityRestriction

    public final OWLClass OWLCardinalityRestriction()
                                             throws ParseException

  Throws:
    `ParseException`

### OWLCardinalityDatatypePart

    public final OWLCardinality OWLCardinalityDatatypePart()
                                                    throws ParseException

  Throws:
    `ParseException`

### OWLCardinalityObjectPart

    public final OWLCardinality OWLCardinalityObjectPart()
                                                  throws ParseException

  Throws:
    `ParseException`

### OWLComplementClass

    public final OWLClass OWLComplementClass()
                                      throws ParseException

  Throws:
    `ParseException`

### OWLEnumeratedClass

    public final OWLClass OWLEnumeratedClass()
                                      throws ParseException

  Throws:
    `ParseException`

### Datatype

    public final RDFSDatatype Datatype()
                                throws ParseException

  Throws:
    `ParseException`

### DatatypeProperty

    public final OWLDatatypeProperty DatatypeProperty()
                                               throws ParseException

  Throws:
    `ParseException`

### ObjectProperty

    public final OWLObjectProperty ObjectProperty()
                                           throws ParseException

  Throws:
    `ParseException`

### Individual

    public final OWLIndividual Individual()
                                   throws ParseException

  Throws:
    `ParseException`

### NestedClass

    public final OWLClass NestedClass()
                               throws ParseException

  Throws:
    `ParseException`

### Integer

    public final int Integer()
                      throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(InputStream stream)

### ReInit

    public void ReInit(InputStream stream,
                       String encoding)

### ReInit

    public void ReInit(Reader stream)

### ReInit

    public void ReInit(DLSyntaxParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.